Skip to content

Get Node Details

GET
/api/v1/nodes/{node_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Specifies the node’s location as a string.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the response

integer
data
object
id

Unique identifier of the node

integer
vm_id

Unique identifier of the virtual machine

integer
name

The node’s identifier string.

string
label

Identifier for the node

string
plan

Identifier of the node’s resource plan

string
disk

Disk capacity of the node

string
memory

Amount of memory allocated to the node, e.g., “8 GB”

string
vcpus

Number of virtual CPUs allocated to the node

string
ssh_keys
Array<object>
object
label

Label identifying the SSH key

string format: email
ssh_key

SSH public key string associated with the node

string
os_info
object
name

Operating system name of the node

string
version

Operating system version string

string
category

Human-readable category of the operating system

string
full_name

Operating system full name string

string
price

Price of the node as a formatted string

string
created_at

Timestamp when the node was created.

string format: date-time
is_bitninja_license_active

Indicates whether the BitNinja license is currently active.

boolean
ngc_container

Identifier of the NGC container associated with the node

string
gpu

GPU model or identifier for the node

string
cdp_tab_enabled

Indicates whether the CDP tab is enabled

boolean
monitoring_tab_enabled

Indicates if the monitoring tab is enabled for the node

boolean
is_snapshot_allowed

Indicates whether taking snapshots is allowed on the node

boolean
alert_tab_enabled

Indicates if the alert tab is enabled for the node

boolean
is_volume_attachable

Indicates whether a volume can be attached to the node.

boolean
zabbix_host_id

Identifier of the host in Zabbix

string
zabbix_host_id_v2

Zabbix host identifier for the node

string
is_fortigate_vm

Indicates whether the node is a FortiGate virtual machine.

boolean
status

Current lifecycle state of the node

string
any_license_attached
object
is_license_attached

Indicates whether a license is attached to the node

boolean
license_deletion_message

Message displayed when a license is deleted

string
mssql_license_attached

Indicates whether a Microsoft SQL Server license is attached to the node

boolean
is_locked

Indicates whether the node is currently locked

boolean
is_upgradable

Indicates whether the node can be upgraded

boolean
vm_type

Type of virtual machine for the node

string
committed_details
Array<object>
object
committed_sku_id

Identifier of the committed SKU

integer
committed_sku_name

Name of the committed SKU

string
committed_node_message

Message indicating reservation period and cost for a committed node

string
committed_sku_price

Price of the committed SKU

number
committed_upto_date

Date and time up to which the node is committed

string
committed_days

Number of days the node is committed

integer
committed_info

Details about the node’s committed state

string
series

Series identifier for the node

string
public_ip_address

The node’s public IPv4 address.

string
private_ip_address

The private IPv4 address of the node.

string
pool_ip_address
Array<string>
start_scripts
Array<object>
object
label

Label of the start script

string
script_content

Shell script to run on the node

string
is_accidental_protection

Indicates whether accidental protection is enabled for the node

boolean
hypervisor

True if the node functions as a hypervisor, otherwise false

boolean
is_node_compliance

Indicates whether the node complies with the required standards

boolean
is_never_connected

Indicates whether the node has never established a connection.

boolean
rescue_mode_status

Indicates whether the node’s rescue mode is currently enabled or disabled

string
snapshot_exist

True if a snapshot exists for the node, otherwise false.

boolean
is_vpc_attached

Indicates whether the node is attached to a VPC.

boolean
cluster_name

Name of the cluster the node belongs to

string
security_group_count

Number of security groups associated with the node

integer
errors
object
message

Status message indicating the result of the request

string

Example

{
"code": 200,
"data": {
"id": 12345,
"vm_id": 12345,
"name": "C3-8GB-420",
"label": "default",
"plan": "C3.8GB",
"disk": "100 GB",
"memory": "8 GB",
"vcpus": "4",
"ssh_keys": [
{
"label": "your_email@example.com",
"ssh_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAI... your_email@example.com"
}
],
"os_info": {
"name": "Ubuntu",
"version": "24.04",
"category": "Linux Virtual Node",
"full_name": "Ubuntu 24.04 x86_64"
},
"price": "Rs. 3.1/Hour or Rs. 2263.0 Monthly",
"created_at": "2025-07-11T11:23:55.352656Z",
"is_bitninja_license_active": false,
"ngc_container": "",
"gpu": "",
"cdp_tab_enabled": true,
"monitoring_tab_enabled": true,
"is_snapshot_allowed": true,
"alert_tab_enabled": true,
"is_volume_attachable": true,
"is_fortigate_vm": false,
"status": "Creating",
"any_license_attached": {
"is_license_attached": false,
"license_deletion_message": "",
"mssql_license_attached": false
},
"is_locked": false,
"is_upgradable": true,
"vm_type": "vm",
"committed_details": [
{
"committed_sku_id": 1234,
"committed_sku_name": "90 Days Committed , Rs. 6026.0",
"committed_node_message": "This committed node will be reserved for next 90 days ( till 09-October-2025 11:23). The cost Rs. 6026.0 of this node will be added in next invoice.",
"committed_sku_price": 6026,
"committed_upto_date": "09-October-2025 11:23",
"committed_days": 90
}
],
"series": "C3",
"public_ip_address": "1.2.3.4",
"private_ip_address": "10.8.64.17",
"start_scripts": [
{
"label": "nginx",
"script_content": "sudo apt-get updates\nsudo apt-get install nginx -y"
}
],
"is_accidental_protection": false,
"hypervisor": false,
"is_node_compliance": false,
"is_never_connected": false,
"rescue_mode_status": "Disabled",
"snapshot_exist": false,
"is_vpc_attached": true,
"security_group_count": 1
},
"message": "Success"
}